<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=1;
  $coddoc=$_REQUEST["td"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
/*
if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=DOCUMENTOS';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
 
 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

 
  <script src="https://code.jquery.com/jquery-3.2.1.js"></script>  
 <script language="javascript">
 $(document).ready(function(){

	$("#departamento").on('change', function () {
        $("#departamento option:selected").each(function () {
            $.post("../parametros/municipio.php", { iddep: document.frmempresa.departamento.value, codmuni: document.frmempresa.municipio.value, proceso:1 }, function(data) {
                $("#municipio").html(data);
            });			
        });
   });

   });

function llammunicipio(dep, mun, pro)
{
		$(document).ready(function () {			
            $.post("../parametros/municipio.php", { iddep: dep, codmuni: mun, proceso:pro }, function(data) {
                $("#municipio").html(data);
        });
		});    
}
</script>

<!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">

</head>
<body>
   
<?php

$id="";$tipodocumento="";$consecutivo="";$proveedor="";
$factura="";$fechafactura="";$locacion="";$vencimiento="";
$area="";$estado="";$anticipo="";$departamento="";$municipio="";$observaciones="";$estadoDOC="";
$usurio_doc="";$oc="";
$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre,numero FROM par_tipodocumentos where empresa='".$vg_empresa."' and coddoc='".$coddoc."' order by nombre asc");
//$rs_departamento=mysqli_query($conexion,"SELECT id,nombre FROM departamento order by nombre asc");

$rs_locacion=mysqli_query($conexion,"SELECT id,nombre FROM par_locacion where empresa='".$vg_empresa."'  order by nombre asc");
$rs_area=mysqli_query($conexion,"SELECT id,nombre FROM par_area where empresa='".$vg_empresa."' and estado='1'  order by nombre asc");

$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='documento' order by nombre asc");
$rs_municipio=mysqli_query($conexion,"SELECT municipio,departamento FROM par_reteica where empresa='".$vg_empresa."' ");

$rs_ubicacion=mysqli_query($conexion,"SELECT nombre as id FROM par_ubicacion where estado='1'  order by nombre asc");


$rs_proveedor=mysqli_query($conexion,"SELECT id,nombre,nit,ubicacion FROM tercero where clasificacion='1' and estado='1' order by nombre asc");


if($_REQUEST["id"]>0)
	 {
	   $id=$_REQUEST["id"];
		 $contar=0;
		 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento where id='".$id."' and empresa='".$vg_empresa."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 
			$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
												estado, anticipo, municipio, observaciones,vencimiento, oc,iddocumento,idcoddoc,usuario, fecsis, horasis
												FROM documento
												where id='".$id."' 
												and coddoc='".$coddoc."'
												and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$estadoDOC=$datos[8]; 	
						//$anticipo=$datos[9]; 
						$anticipo=str_replace('-','',$datos[9]); 
						
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$vencimiento=$datos[12]; 							
						$oc=$datos[13]; 							
						$iddocumento=$datos[14]; 							
						$idcoddoc=$datos[15]; 							
				   }
				   
				   echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>"; 
			}
			else
			  {
				$mensaje="No existe el codigo";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php
			  }
  }


if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];	
	$tipodocumento=$_REQUEST['tipodocumento'];	
	$consecutivo=$_REQUEST['consecutivo'];	
	$proveedor=$_REQUEST['proveedor'];	
	$usurio_doc=$_REQUEST['usurio_doc'];	
	$factura=$_REQUEST['factura'];	
	$fechafactura=$_REQUEST['fechafactura'];	
	$locacion=$_REQUEST['locacion'];	
	$vencimiento=$_REQUEST['vencimiento'];	
	$area=$_REQUEST['area'];	
//	$estado=$_REQUEST['estado'];	
	$municipio=$_REQUEST['municipio'];	
	$observaciones=$_REQUEST['observaciones'];
	$oc=$_REQUEST['oc'];
 	$iddocumento=$_REQUEST["iddocumento"];
	echo $idcoddoc=$_REQUEST["idcoddoc"];
	
	$anticipo=str_replace(',','',$_REQUEST['anticipo'.$c]);
	
	if($_REQUEST["oguardar"]==1)
		 {   
			  if($vg_login<>"") 
			  {  
			   //agregamso consecutivo
			   	   $sql_contarcon=mysqli_query($conexion,"SELECT consecutivo FROM par_tipodocumentos where id='".$tipodocumento."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
				   while($datoscon= mysqli_fetch_row($sql_contarcon)){ $consecutivo=$datoscon[0]+1;}
					   
				   $contar=0;
				  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento  where consecutivo='".$consecutivo."' and empresa='".$vg_empresa."' and coddoc='".$coddoc."' and tipodocumento='".$tipodocumento."'");
				  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
				  if($contar>=1) 
				    {
						  $mensaje="Ya existe el consuctivo de documento con la empresa";
						  ?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				  }
				  else
					{ $busqueda=1;
					   //fecha vencimiento se calcula depende de lo que tenga configurado el cliente
					   $sql_contarpp=mysqli_query($conexion,"SELECT periodopago FROM tercero where id='".$proveedor."' and empresa='".$vg_empresa."'");
					   while($datospp= mysqli_fetch_row($sql_contarpp)){ $periodopago=$datospp[0];}
					   //caluclamos la fecha vencimiento
						  $mod_date = strtotime($fechafactura."+ $periodopago days");
						  $vencimiento=date("Y-m-d",$mod_date);
		              if($anticipo==""){$anticipo=0;}
		              if($coddoc=='ncfe' || $coddoc=='ndfe')
                        {
                           if($iddocumento<>""){}else{$iddocumento=0;}
                            $sql_insert=mysqli_query($conexion,"insert into documento(empresa,tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, vencimiento, area, 
													estado, anticipo, municipio, observaciones, usuario, fecsis, horasis,coddoc,oc,iddocumento,idcoddoc)
											  values('".$vg_empresa."','".$tipodocumento."','".$consecutivo."','".$proveedor."','".$usurio_doc."','".$factura."',
													 '".$fechafactura."','".$locacion."','".$vencimiento."','".$area."','107','".$anticipo."',
													 '".$municipio."','".$observaciones."','".$vg_login."','".$fecsis."','".$horasis."','".$coddoc."','".$oc."','".$iddocumento."','".$idcoddoc."')"); 
                        }
                      else
                        {
					      $sql_insert=mysqli_query($conexion,"insert into documento(empresa,tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, vencimiento, area, 
													estado, anticipo, municipio, observaciones, usuario, fecsis, horasis,coddoc,oc)
											  values('".$vg_empresa."','".$tipodocumento."','".$consecutivo."','".$proveedor."','".$usurio_doc."','".$factura."',
													 '".$fechafactura."','".$locacion."','".$vencimiento."','".$area."','107','".$anticipo."',
													 '".$municipio."','".$observaciones."','".$vg_login."','".$fecsis."','".$horasis."','".$coddoc."','".$oc."')"); 
                         }								 
    					 if($sql_insert)
    					   { 
    					      $sql_contarpp=mysqli_query($conexion,"SELECT max(id) FROM documento where consecutivo='".$consecutivo."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
    					      while($datospp= mysqli_fetch_row($sql_contarpp)){ $id=$datospp[0];}
    					   
    					       if($coddoc=='fe')
    					       {
    					           if($factura=="")
        					           {
        					                $sql_contarpp=mysqli_query($conexion,"SELECT numero FROM par_tipodocumentos where id='".$tipodocumento."'");
					                        while($datospp= mysqli_fetch_row($sql_contarpp)){ $nofactura=$datospp[0];}
        					                $factura=$nofactura."-".$consecutivo;
        					                $sql_update=mysqli_query($conexion,"update documento set
                        														factura='".$factura."'
                        													  where id='".$id."' and empresa='".$vg_empresa."'"); 
        					           }
    					       }
    					   
    						  $mensaje="Se registro el documento";
    							?>				  
    							<script>
    							cuteToast({
    								  type: "success", // or 'info', 'error', 'warning'
    								  message: "<?php echo $mensaje; ?>",
    								  timer: 3000
    								})
    							</script>
    						   <?php
    						   //actualizamos el consecutivo consecutivo
    						   $sql_updatecon=mysqli_query($conexion,"update par_tipodocumentos set consecutivo='".$consecutivo."'  where id='".$tipodocumento."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
    						   
    						   //migramos items si es ndp o ncp
    						    if($coddoc=='ndfe' || $coddoc=='ncfe')
                                {
                                     $sql_datosite=mysqli_query($conexion,"select item,cuenta,tipo,cencos,valor,detalle,iva,retefuente,reteica,reteiva,nocuenta,dc,subtipo,concepto,dc
            												  FROM documento_item
            												  where documento='".$iddocumento."'
            												  and coddoc='".$idcoddoc."'");
                        				while($datoslog=mysqli_fetch_row($sql_datosite))
                        					 { 
                        						  $item=$datoslog[0];
                        						  $cuenta=$datoslog[1];
                        						  $tipo=$datoslog[2];
                        						  $cencos=$datoslog[3];
                        						  $valor=$datoslog[4]; 
                        						  $detalle=$datoslog[5];
                        						  $iva=$datoslog[6];
                        						  $retefuente=$datoslog[7];
                        						  $reteica=$datoslog[8];
                        						  $reteiva=$datoslog[9];
                        						  $nocuenta=$datoslog[10];
                        						  $dc=$datoslog[11];
                        						  $subtipo=$datoslog[12];
                        						  $concepto=$datoslog[13];
                        						  $dc=$datoslog[14];
                        						  
                        						  $rsdc="1";
                        						  if($td=='fe'){$dc='C';$signo="-";}
            		                              if($td=='ncfe'){$dc='D';$signo="";}
            		                              if($td=='ndfe'){$dc='C';$signo="-";}
                        						  
                        						  $sql_insertite=mysqli_query($conexion,"insert into documento_item (documento,empresa,item,tipo,subtipo,concepto,cuenta,cencos,
            										                                    valor,detalle,iva,retefuente,reteica,reteiva,fecsis,horasis,usuario,nocuenta,coddoc,dc)
            										  values('".$id."','".$vg_empresa."','".$item."',
            										         '".$tipo."','".$subtipo."','".$concepto."','".$cuenta."',
            												 '".$cencos."','".$valor."','".$detalle."','".$iva."','".$retefuente."',
            												 '".$reteica."','".$reteiva."',
            												 '".$fecsis."','".$horasis."','".$vg_login."','".$cuenta."','".$coddoc."','".$dc."')"); 
            										if($sql_insertite)
            										  {
            										     
            										  }		 
                        					 }
                                }    
    					   }	
    					 else 
    					  {
    						$mensaje="Error al registrar el documento";
    							?>				  
    							<script>
    							cuteToast({
    								  type: "error", // or 'info', 'error', 'warning'
    								  message: "<?php echo $mensaje; ?>",
    								  timer: 3000
    								})
    							</script>
    						   <?php
    					  }				
					}
                            }					
			 else {
				   $mensaje="Digite la Informacion Requerida";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
			         }				
	
		 }//fin guardar

	if($_REQUEST["omodificar"]==1)
	 {  
	     if($estadoDOC<>107)
	     {
	         $mensaje="No se puede modificar estado diferente de creado";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
	     }
	     else
	     {
		    $sql_datos =mysqli_query($conexion,"select iddocumento,idcoddoc	FROM documento
										where id='".$id."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."' ");
			while($datos= mysqli_fetch_row($sql_datos))
			{ 
				$rsiddocumento=$datos[0]; 							
				$rsidcoddoc=$datos[1]; 							
		    }
		     
		     $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento where id='".$id."' and empresa='".$vg_empresa."' ");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
				{ 
				  if($coddoc=='fe')
                    {
    				  $sql_update=mysqli_query($conexion,"update documento set
    														tipodocumento='".$tipodocumento."',
    														consecutivo='".$consecutivo."',
    														proveedor='".$proveedor."',
    														usurio_doc='".$usurio_doc."',
    														factura='".$factura."',
    														fechafactura='".$fechafactura."',
    														locacion='".$locacion."',
    														vencimiento='".$vencimiento."',
    														area='".$area."',
    														anticipo='".$anticipo."',
    														municipio='".$municipio."',
    														observaciones='".$observaciones."',
    														oc='".$oc."'
    													  where id='".$id."' and empresa='".$vg_empresa."'"); 
                    }
                    
                if($coddoc=='ncfe' || $coddoc=='ndfe')
                    {
    				  $sql_update=mysqli_query($conexion,"update documento set
    														tipodocumento='".$tipodocumento."',
    														consecutivo='".$consecutivo."',
    														proveedor='".$proveedor."',
    														usurio_doc='".$usurio_doc."',
    														factura='".$factura."',
    														fechafactura='".$fechafactura."',
    														locacion='".$locacion."',
    														vencimiento='".$vencimiento."',
    														area='".$area."',
    														anticipo='".$anticipo."',
    														municipio='".$municipio."',
    														observaciones='".$observaciones."',
    														oc='".$oc."',
    														iddocumento='".$iddocumento."',
    														idcoddoc='".$idcoddoc."'
    													  where id='".$id."' and empresa='".$vg_empresa."'"); 
                    }
                    
				 if($sql_update)
				   {
					$mensaje="Se modifico el documento";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
						   
					     if($coddoc=='ndfe' || $coddoc=='ncfe')
                                {
                                      if($td=='fe'){$dc='C';$signo="-";}
            		                  if($td=='ncfe'){$dc='D';$signo="";}
            		                  if($td=='ndfe'){$dc='C';$signo="-";}

                                    if($rsiddocumento==$iddocumento && $rsidcoddoc==$idcoddoc){}
                                    else
                                    {
                                        //borramos items
                                            $sql_datosite=mysqli_query($conexion,"delete from FROM documento_item  where documento='".$id."' and coddoc='".$idcoddoc."' and empresa='".$vg_empresa."'");
                            			//fin		     
                                        //cargamos items
                                         $sql_datosite=mysqli_query($conexion,"select item,cuenta,tipo,cencos,valor,detalle,iva,retefuente,reteica,reteiva,nocuenta,dc,subtipo,concepto,dc
                												  FROM documento_item
                												  where documento='".$iddocumento."'
                												  and coddoc='".$idcoddoc."'");
                            				while($datoslog=mysqli_fetch_row($sql_datosite))
                            					 { 
                            						  $item=$datoslog[0];
                            						  $cuenta=$datoslog[1];
                            						  $tipo=$datoslog[2];
                            						  $cencos=$datoslog[3];
                            						  $valor=$datoslog[4]; 
                            						  $detalle=$datoslog[5];
                            						  $iva=$datoslog[6];
                            						  $retefuente=$datoslog[7];
                            						  $reteica=$datoslog[8];
                            						  $reteiva=$datoslog[9];
                            						  $nocuenta=$datoslog[10];
                            						  $dc=$datoslog[11];
                            						  $subtipo=$datoslog[12];
                            						  $concepto=$datoslog[13];
                            						  $dc=$datoslog[14];
                            						  
                            						  
                            						  $sql_insertite=mysqli_query($conexion,"insert into documento_item (documento,empresa,item,tipo,subtipo,concepto,cuenta,cencos,
                										                                    valor,detalle,iva,retefuente,reteica,reteiva,fecsis,horasis,usuario,nocuenta,coddoc,dc)
                										  values('".$id."','".$vg_empresa."','".$item."',
                										         '".$tipo."','".$subtipo."','".$concepto."','".$cuenta."',
                												 '".$cencos."','".$valor."','".$detalle."','".$iva."','".$retefuente."',
                												 '".$reteica."','".$reteiva."',
                												 '".$fecsis."','".$horasis."','".$vg_login."','".$cuenta."','".$coddoc."','".$dc."')");
                												 echo "insert into documento_item (documento,empresa,item,tipo,subtipo,concepto,cuenta,cencos,
                										                                    valor,detalle,iva,retefuente,reteica,reteiva,fecsis,horasis,usuario,nocuenta,coddoc,dc)
                										  values('".$id."','".$vg_empresa."','".$item."',
                										         '".$tipo."','".$subtipo."','".$concepto."','".$cuenta."',
                												 '".$cencos."','".$valor."','".$detalle."','".$iva."','".$retefuente."',
                												 '".$reteica."','".$reteiva."',
                												 '".$fecsis."','".$horasis."','".$vg_login."','".$cuenta."','".$coddoc."','".$dc."')";
                										if($sql_insertite)
                										  {
                										     
                										  }		 
                            					 }
                                    }		 
                                }     
				   }	
				 else 
				  {
				   $mensaje="Error al modificar el documento";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				  }				
				}
			  else
			   {
				$mensaje="No existe el codigo";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
			   }
	     }		   
	 }//fin guardar

	if($_REQUEST["obuscar"]==1)
		 {   
					$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
												estado, anticipo,  municipio, observaciones, vencimiento,oc,estado
												FROM documento
												where id='".$id."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$anticipo=str_replace('-','',$datos[9]); 
						$anticipo=number_format($anticipo,2,'.',','); 
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$vencimiento=$datos[12]; 	
						$oc=$datos[13]; 	
						$estado=$datos[14]; 	
					   }
					    
						echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>"; 
					   
				 }//fin buscar

	if($_REQUEST['onuevo'])
	   { 
		   $iddocumento="";$idcoddoc="";     
	   		$id="";$tipodocumento="";$consecutivo="";$proveedor="";$usuario="";$factura="";$fechafactura="";$locacion="";$vencimiento="";
			$area="";$estado="";$anticipo="";$departamento="";$municipio="";$observaciones="";$oc="";$estadoDOC="";
			echo $id;
		   }

    if($_REQUEST["ocorreo"]==1)
    	 { $contar=0;
	   
	   if($estadoDOC<>107)
	     {
	         $mensaje="Ya se envio a aprobacion";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
	     }
	     else
	     {
				  $sql_insert=mysqli_query($conexion,"insert into documento_aprobar(estado,documento,empresa,orden,coddoc,consecutivo)
								values('P','".$id."','".$vg_empresa."','1','".$coddoc."','".$consecutivo."')");
				  if($sql_insert)
				  {
					$sql_update=mysqli_query($conexion,"update documento set estado='108' where id='".$id."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."' ");
					 $mensaje="Se envio para aprobacion";
						?>				  
						<script>
						cuteToast({
								type: "success", // or 'info', 'error', 'warning'
								message: "<?php echo $mensaje; ?>",
								timer: 4000
							})
						</script>
						<?php
						
							$sql_datos =mysqli_query($conexion,"select estado
                												FROM documento
                												where id='".$id."' 
                												and coddoc='".$coddoc."'
                												and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))	{ 	$estadoDOC=$datos[0]; 		   }
				  }	
	     }	
	}

    if($_REQUEST["ovencimiento"]==1)
        {
         $sql_contar=mysqli_query($conexion,"SELECT periodopago FROM tercero where id='".$proveedor."'");
		 while($datos= mysqli_fetch_row($sql_contar)){ $periodopago=$datos[0];}
		 $mod_date = strtotime($fechafactura."+ $periodopago days");
		 $vencimiento=date("Y-m-d",$mod_date);
    }
    
   
    

  }


 $usurio_doc=$nombreusuario;
 
 if($coddoc=='fp'){$ntitulofor="FACTURA PROVEEDOR";}
 if($coddoc=='ctac'){$ntitulofor="DOCUMENTO SOPORTE";}
 if($coddoc=='ndp'){$ntitulofor="NOTA DEBITO PROVEEDOR";}
 if($coddoc=='ncp'){$ntitulofor="NOTA CREDITO PROVEEDOR";}
 
 if($coddoc=='rc'){$ntitulofor="RECIBO DE CAJA";}
 if($coddoc=='eg'){$ntitulofor=" EGRESO";}
 
 if($coddoc=='ndfe'){$ntitulofor="NOTA DEBITO FACTURA ELECTRONICA";}
 if($coddoc=='ncfe'){$ntitulofor="NOTA CREDITO FACTURA ELECTRONICA";}
 if($coddoc=='fe'){$ntitulofor=" FACTURA ELECTRONICA";}




if($_REQUEST["id"]>0)
	 {
	   	 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento where id='".$id."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 
			$sql_datos =mysqli_query($conexion,"select iddocumento,idcoddoc	FROM documento
												where id='".$id."' 	and coddoc='".$coddoc."'	and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$iddocumento=$datos[0]; 							
						$idcoddoc=$datos[1]; 							
				   }
			}
			
  }
 
 if($_REQUEST["obuscadoc"]==1)
        {
           
           if($coddoc=='ndfe')
            {
                $iddocumento=$_REQUEST["iddocumento"];
                if($iddocumento<>"")
                { 
                        	//traemos datos del documento
                        	$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
        												estado, anticipo, municipio, observaciones,vencimiento,oc,coddoc,usuario, fecsis, horasis
        												FROM documento
        												where id='".$iddocumento."' 
        												and empresa='".$vg_empresa."'");
        					while($datos= mysqli_fetch_row($sql_datos))
        					{ 
        						$proveedor=$datos[2]; 	
        						$usurio_doc=$datos[3]; 	
        						$factura=$datos[4]; 	
        						$fechafactura=$datos[5]; 	
        						$locacion=$datos[6]; 	
        						$area=$datos[7]; 	
        						//$estado=$datos[8]; 	
        						//$estadoDOC=$datos[8]; 	
        						$anticipo=""; 
        						$municipio=$datos[10]; 	
        						$observaciones=$datos[11]; 							
        						$vencimiento=$datos[12]; 							
        						$oc=$datos[13]; 							
        						$idcoddoc=$datos[14]; 							
        				   }
                }		   
            }
        
            if($coddoc=='ncfe')
            {
                $iddocumento=$_REQUEST["iddocumento"];
                if($iddocumento<>"")
                { 
                        	//traemos datos del documento
                        	$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
        												estado, anticipo, municipio, observaciones,vencimiento,oc,coddoc,usuario, fecsis, horasis
        												FROM documento
        												where id='".$iddocumento."' 
        												and empresa='".$vg_empresa."'");
        					while($datos= mysqli_fetch_row($sql_datos))
        					{ 
        						$proveedor=$datos[2]; 	
        						$usurio_doc=$datos[3]; 	
        						$factura=$datos[4]; 	
        						$fechafactura=$datos[5]; 	
        						$locacion=$datos[6]; 	
        						$area=$datos[7]; 	
        						//$estado=$datos[8]; 	
        						//$estadoDOC=$datos[8]; 	
        						$anticipo=$datos[9]; 
        						$municipio=$datos[10]; 	
        						$observaciones=$datos[11]; 							
        						$vencimiento=$datos[12]; 							
        						$oc=$datos[13]; 							
        						$idcoddoc=$datos[14]; 							
        				   }
                }		   
            }    
        } 
 
?>
 <form name="frmempresa" method="post" action="" >
  <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 

 <center>
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading"><?php echo  $ntitulofor; ?></div>
       <div align="center">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          
          <tr>
            <td width="12%" height="-10"><span class="texto">Codigo</span></td>
            <td width="38%"><input name="id2" type="text" id="id2"    value="<?php echo $id; ?>" 
            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'" 
             class="form-control"  style="width: 150px" 
             onkeypress="return valida(event);" />
            <td width="11%" align="right">Estado</td>
            <td width="39%" align="center"> 
			<?php
                    $nestado="";
                    $sql_contar=mysqli_query($conexion,"SELECT nombre FROM estado where id='".$estadoDOC."'");											   
	                while($datos= mysqli_fetch_row($sql_contar)){ $nestado=$datos[0];}
	                echo strtoupper($nestado);
                ?></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Tipo Documento</span></td>
            <td><select name="tipodocumento"  id="tipodocumento"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 50%" >
                         <option value="0"> </option>  
              <?php while ($rowba=mysqli_fetch_array($rs_tipodocumento))
									{
									 if ($tipodocumento==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."-".$rowba['numero']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."-".$rowba['numero']."</option>";}		
									}
							 ?>
            </select></td>
            <td align="right" ><span class="texto">Consecutivo </span></td>
            <td><input name="consecutivo" type="text"  id="consecutivo"    value="<?php echo $consecutivo; ?>"  style="width: 50%" class="form-control" readonly/></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Cliente </span></td>
            <td >
                <select name="proveedor"  id="proveedor"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                             style="width: 100%" class="form-control select2bs4" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_proveedor))
									{
									  $nubicacion="";
									  $sql_contar=mysqli_query($conexion,"SELECT nombre FROM municipio where codigo='".$rowba['ubicacion']."'");
		                              while($datos= mysqli_fetch_row($sql_contar)){ $nubicacion=$datos[0];}
		                              
		                              //VERIFICAMOS EN FISCAL SI ES PERSONA NATURAL Y NO RESPONSABLE DE IVA
		                              $visualiza=0;
		                              if($coddoc=='ctac')
		                              {   $pasaf1=0;$pasaf4=0;
		                                  $sql_datosfiscal =mysqli_query($conexion,"select fiscal FROM tercero_fiscal	where tercero='".$rowba['id']."' and empresa='".$vg_empresa."'");
		                                  echo "select fiscal FROM tercero_fiscal	where tercero='".$rowba['id']."' and empresa='".$vg_empresa."'";
	                                	  while($datosf= mysqli_fetch_row($sql_datosfiscal))	
	                                	  { $datofiscal=$datosf[0];   
	                                	    if($datofiscal==1){$pasaf1=1;}    
	                                	    if($datofiscal==4){$pasaf4=1;}    
	                                	  }	
	                                	 
	                                	  if($pasaf1==1 && $pasaf4==1){$visualiza=1;}
	                                	  else{$visualiza=0;}
		                              }
		                              else
		                              {
		                                $visualiza=1;    
		                              }
		                              
		                              
									 if($visualiza==1)
									 {
    									 if ($proveedor==$rowba['id'])
    										{echo "<option value=".$rowba['id']." selected>".$rowba['id']." - ".$rowba['nombre']." - ".$rowba['nit']." - $nubicacion</option>";}
    									 else
    										{echo "<option value=".$rowba['id'].">".$rowba['id']."  -".$rowba['nombre']." - ".$rowba['nit']." - $nubicacion</option>";}		
									 }		
									}
							 ?>
            </select></td>
            <td align="right" ><span class="texto">Usuario</span></td>
            <td ><input name="usurio_doc" type="text"  id="usurio_doc"    value="<?php echo $usurio_doc; ?>"  style="width: 100%" class="form-control" readonly/></td>
          </tr>
          
          <tr>
            <td align="left"><span class="texto">Factura No.</span></td>
            <td align="left"><input name="factura" type="text"  id="factura"    value="<?php echo $factura; ?>" style="width: 50%" class="form-control"/></td>
            <td  align="right">Fecha Factura</td>
            <td  align="left"><input name="fechafactura" type="date"  id="fechafactura"    value="<?php echo $fechafactura; ?>"  style="width: 50%" class="form-control" onchange="ovencimiento.value=1;submit();"/></td>
          </tr>
         
          <tr>
            <td align="left"><span class="texto">Locacion</span> </td>            
            <td align="center"><select name="locacion"  id="locacion"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_locacion))
									{
									 if ($locacion==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select>
            </td>            
            <td align="right">Vencimiento     </td>                 
            <td align="left"><input name="vencimiento" type="date"  id="vencimiento"    value="<?php echo $vencimiento; ?>"  style="width: 50%" class="form-control" /></td>         

          <tr>
            <td align="left"><span class="texto">Area</span>    </td>       
            <td align="center"><select name="area"  id="area"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_area))
									{
									 if ($area==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select>       
            </td>      
            <td align="right">Ubicacion</td>         
            <td align="left"><select name="municipio"  id="municipio"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control"  style="width: 100%" >
              <option value="0" ></option>
               <?php while ($rowba=mysqli_fetch_array($rs_ubicacion))
									{
										 $sql_contar=mysqli_query($conexion,"SELECT nombre,departamento FROM municipio  where codigo='".$rowba['id']."'");
                            			 while($datos= mysqli_fetch_row($sql_contar)){  $nmun=$datos[0]; $coddep=$datos[1]; }
										 
										 $sql_contar=mysqli_query($conexion,"SELECT nombre FROM departamento  where codigo='".$coddep."'");
                            			 while($datos= mysqli_fetch_row($sql_contar)){ $ndep=$datos[0];}
			  
									 if ($municipio==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected> $nmun -  $ndep </option>";}
									 else 
										{echo "<option value=".$rowba['id']."> $nmun - $ndep </option>";}		
									}
							 ?>
            </select></td>         
          </tr>
        
          </tr>
          <tr>
            <td align="left"><span class="texto">Anticipo</span>  </td>         
            <td align="left"><input name="anticipo" type="text" id="anticipo"    value="<?php echo $anticipo; ?>" class="form-control"  style="width: 50%"  
                         onkeypress='mascara(this,cpf)' /></td>          
            <td align="right">O.C</td>                   
            <td align="left"><input name="oc" type="text"  id="oc"    value="<?php echo $oc; ?>"  style="width: 50%" class="form-control" /></td>         
          </tr>
          <tr>
            <td align="left"><span class="texto">Observaciones</span> </td>          
            <td colspan="3" align="center">
             <textarea name="observaciones" id="observaciones" cols="45" rows="5" class="form-control" style="width: 100%"><?php echo $observaciones; ?></textarea>
            </td>
          </tr>
            <tr>
                <td colspan='4'>
                    <table width='60%'>
                      <tr>
                          <td>
                              No. Documento
                           </td>
                          <td>
                              <input name="iddocumento" type="text"  id="iddocumento"    value="<?php echo $iddocumento; ?>"  class="form-control" style="width: 50%"   readonly/>
                           </td>
                            <td>
                               Codigo Documento
                           </td>
                           <td>
                            <input name="idcoddoc" type="text"  id="idcoddoc"    value="<?php echo $idcoddoc; ?>"  class="form-control" style="width: 50%"   readonly />
                          </td>
                        </tr>  
                 </table>        
              </td>
          <tr>
            <td  colspan="4" align="center"><input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px" onClick="onuevo.value=1;"/>
              <?php
              if($id=="")
              {
              ?>
              <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
              <?php
			  }
              if($id<>"")
              {
              ?>
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
              <input name='rep' type='button'  id='rep' value='Items'   class="btn btn-primary" 
						  onclick="javascript:window.open('documento_item.php?documento=<?php echo $id; ?>&p=2&id=&td=<?php echo $coddoc; ?>&proveedor=<?php echo $proveedor;?>','CargaDoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:100px"  />
              <input name="notificar" type="button" id="notificar" value="Enviar Aprobacion"   class="btn btn-primary"  onclick="return pregunta_correo();" />
              <input name='rep3' type='button'  id='rep3' value='Imprime'   class="btn btn-primary" 
						   style="width:100px" onclick="javascript:window.open('documento_imprime.php?documento=<?php echo $id; ?>&td=<?php echo $coddoc; ?>','CargaDoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');"  />
          
          
                <input name='rep3' type='hidden'  id='rep3' value='Anexo'   class="btn btn-primary" 
						   style="width:100px" onclick="javascript:window.open('documento_anexo.php?nd=<?php echo $id; ?>&td=<?php echo $coddoc; ?>&valida=1','CargaDoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');"  />
						   
              <?php
			  }
			  
			  if($coddoc=='fe' || $coddoc=='ncfe' || $coddoc=='ndfe')
			  {
			      if($estadoDOC==109)
			      {
              ?>
                    <input name='rep2' type='button'  id='rep2' value='DIAN'   class="btn  btn-primary" 
						  onClick="javascript:window.open('documento_reporte.php?td=<?php echo $coddoc; ?>','docREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=800');" 
                          style="width:150px"  />
              <?php
			      }
			  }  
			  
              ?>              
              <input name='rep2' type='button'  id='rep2' value='Reporte'   class="btn  btn-primary" 
						  onClick="javascript:window.open('documento_reporte.php?td=<?php echo $coddoc; ?>','docREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=800');" 
                          style="width:150px"  />
             <?php             
                
			      if($coddoc=='ncfe' || $coddoc=='ndfe')    
			      {
                ?>
                    <input name='rep2' type='hidden'  id='rep2' value='Doc. Contabilizados'   class="btn  btn-primary" 
						  onClick="javascript:window.open('reportedocumentocontabilizado.php','docREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=800');" 
                          style="width:150px"  />
                <?php
			      }
              ?>          
                     
                          
              <input type="hidden" name="oculto" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="obuscar" type="hidden" id="obuscar" />
              <input name="onuevo" type="hidden" id="onuevo" />
              <input name="ocorreo" type="hidden" id="ocorreo" />
              <input name="ovencimiento" type="hidden" id="ovencimiento" />
              <input name="obuscadoc" type="hidden" id="obuscadoc" />
              
            </tr>
        </table>
      </div>
 </div>
  
 </center>  


<SCRIPT type=text/javascript>

function pregunta_correo(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
			document.frmempresa.ocorreo.value=1; 
				document.frmempresa.submit();
			return true;
	   } 
	  else 
	    {
		   document.frmempresa.ocorreo.value=0;
		    return false; 
	    }
	})
}

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	
	var mensaje='';
		 if(document.frmempresa.tipodocumento.value>0){}
		 else {mensaje=mensaje + 'Tipo Documento,';    }
		 if(document.frmempresa.proveedor.value>0){}
		 else {mensaje=mensaje + 'Proveedor,';    }
		 if(document.frmempresa.usurio_doc.value!=''){}
		 else {mensaje=mensaje + 'Usuario,';    }
		 if(document.frmempresa.locacion.value>0){}
		 else {mensaje=mensaje + 'Locacion,';    }
		 if(document.frmempresa.area.value>0){}
		 else {mensaje=mensaje + 'Area,';    }
		 if(document.frmempresa.municipio.value>0){}
		 else {mensaje=mensaje + 'Municipio,';    }
		 if(document.frmempresa.fechafactura.value!=''){}
		 else {mensaje=mensaje + 'Fecha Factura,';    }

		if(document.frmempresa.tipodocumento.value>0 && document.frmempresa.proveedor.value>0 && document.frmempresa.usurio_doc.value!='' &&
		document.frmempresa.locacion.value>0 && document.frmempresa.area.value>0 && document.frmempresa.municipio.value>0 && document.frmempresa.fechafactura.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JASCON",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>



<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>




<script src="../plugins/select2/js/select2.full.min.js"></script>
<script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

    //Datemask dd/mm/yyyy
    $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
    //Datemask2 mm/dd/yyyy
    $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
    //Money Euro
    $('[data-mask]').inputmask()

    //Date picker
    $('#reservationdate').datetimepicker({
        format: 'L'
    });

    //Date and time picker
    $('#reservationdatetime').datetimepicker({ icons: { time: 'far fa-clock' } });

    //Date range picker
    $('#reservation').daterangepicker()
    //Date range picker with time picker
    $('#reservationtime').daterangepicker({
      timePicker: true,
      timePickerIncrement: 30,
      locale: {
        format: 'MM/DD/YYYY hh:mm A'
      }
    })
    //Date range as a button
    $('#daterange-btn').daterangepicker(
      {
        ranges   : {
          'Today'       : [moment(), moment()],
          'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
          'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
          'Last 30 Days': [moment().subtract(29, 'days'), moment()],
          'This Month'  : [moment().startOf('month'), moment().endOf('month')],
          'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        startDate: moment().subtract(29, 'days'),
        endDate  : moment()
      },
      function (start, end) {
        $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
      }
    )

    //Timepicker
    $('#timepicker').datetimepicker({
      format: 'LT'
    })

    //Bootstrap Duallistbox
    $('.duallistbox').bootstrapDualListbox()

    //Colorpicker
    $('.my-colorpicker1').colorpicker()
    //color picker with addon
    $('.my-colorpicker2').colorpicker()

    $('.my-colorpicker2').on('colorpickerChange', function(event) {
      $('.my-colorpicker2 .fa-square').css('color', event.color.toString());
    })

    $("input[data-bootstrap-switch]").each(function(){
      $(this).bootstrapSwitch('state', $(this).prop('checked'));
    })

  })
  // BS-Stepper Init
  document.addEventListener('DOMContentLoaded', function () {
    window.stepper = new Stepper(document.querySelector('.bs-stepper'))
  })

  // DropzoneJS Demo Code Start
  Dropzone.autoDiscover = false

  // Get the template HTML and remove it from the doumenthe template HTML and remove it from the doument
  var previewNode = document.querySelector("#template")
  previewNode.id = ""
  var previewTemplate = previewNode.parentNode.innerHTML
  previewNode.parentNode.removeChild(previewNode)

  var myDropzone = new Dropzone(document.body, { // Make the whole body a dropzone
    url: "/target-url", // Set the url
    thumbnailWidth: 80,
    thumbnailHeight: 80,
    parallelUploads: 20,
    previewTemplate: previewTemplate,
    autoQueue: false, // Make sure the files aren't queued until manually added
    previewsContainer: "#previews", // Define the container to display the previews
    clickable: ".fileinput-button" // Define the element that should be used as click trigger to select files.
  })

  myDropzone.on("addedfile", function(file) {
    // Hookup the start button
    file.previewElement.querySelector(".start").onclick = function() { myDropzone.enqueueFile(file) }
  })

  // Update the total progress bar
  myDropzone.on("totaluploadprogress", function(progress) {
    document.querySelector("#total-progress .progress-bar").style.width = progress + "%"
  })

  myDropzone.on("sending", function(file) {
    // Show the total progress bar when upload starts
    document.querySelector("#total-progress").style.opacity = "1"
    // And disable the start button
    file.previewElement.querySelector(".start").setAttribute("disabled", "disabled")
  })

  // Hide the total progress bar when nothing's uploading anymore
  myDropzone.on("queuecomplete", function(progress) {
    document.querySelector("#total-progress").style.opacity = "0"
  })

  // Setup the buttons for all transfers
  // The "add files" button doesn't need to be setup because the config
  // `clickable` has already been specified.
  document.querySelector("#actions .start").onclick = function() {
    myDropzone.enqueueFiles(myDropzone.getFilesWithStatus(Dropzone.ADDED))
  }
  document.querySelector("#actions .cancel").onclick = function() {
    myDropzone.removeAllFiles(true)
  }
  // DropzoneJS Demo Code End
</script>

</form>
</body>
</html>    
